OTBCLI_ORTHORECTIFICATION(1)

NAME
otbcli_OrthoRectification - OTB OrthoRectification application

DESCRIPTION
This is the OrthoRectification application, version 5.2.0 This application allows one to ortho-rectify optical images from supported sensors.

Complete documentation: http://www.orfeo-toolbox.org/Applications/OrthoRectification.html

  Parameters:

-progress
    <boolean> Report progress

 -io.in <string> Input Image (mandatory)
 -io.out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-map
    <string> Output Cartographic Map Projection [utm/lambert2/lambert93/wgs/epsg] (mandatory, default value is utm)

-map.utm.zone
    <int32> Zone number (mandatory, default value is 31)

-map.utm.northhem
    <boolean> Northern Hemisphere (optional, off by default)

-map.epsg.code
    <int32> EPSG Code (mandatory, default value is 4326)

-outputs.mode
    <string> Parameters estimation modes [auto/autosize/autospacing/outputroi/orthofit] (mandatory, default value is auto)

 -outputs.ulx <float> Upper Left X (mandatory)
 -outputs.uly <float> Upper Left Y (mandatory)
 -outputs.sizex <int32> Size X (mandatory)
 -outputs.sizey <int32> Size Y (mandatory)
 -outputs.spacingx <float> Pixel Size X (mandatory)
 -outputs.spacingy <float> Pixel Size Y (mandatory)

-outputs.lrx
    <float> Lower right X (optional, off by default)

-outputs.lry
    <float> Lower right Y (optional, off by default)

-outputs.ortho
    <string> Model ortho-image (optional, off by default)

-outputs.isotropic
    <boolean> Force isotropic spacing by default (optional, on by default)

-outputs.default
    <float> Default pixel value (optional, on by default, default value is 0)

-elev.dem
    <string> DEM directory (optional, off by default)

-elev.geoid
    <string> Geoid File (optional, off by default)

-elev.default
    <float> Default elevation (mandatory, default value is 0)

-interpolator
    <string> Interpolation [bco/nn/linear] (mandatory, default value is bco)

-interpolator.bco.radius <int32>
    Radius for bicubic interpolation (mandatory, default value is 2)

-opt.rpc
    <int32> RPC modeling (points per axis) (optional, off by default, default value is 10)

-opt.ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-opt.gridspacing
    <float> Resampling grid spacing (optional, on by default, default value is 4)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_OrthoRectification -io.in QB_TOULOUSE_MUL_Extract_500_500.tif -io.out QB_Toulouse_ortho.tif

SEE ALSO
The full documentation for otbcli_OrthoRectification is maintained as a Texinfo manual. If the info and otbcli_OrthoRectification programs are properly installed at your site, the command

    info otbcli_OrthoRectification

should give you access to the complete manual.